Summary: Fake identd server
Name: fakeidentd
Version: 1.1
Release: 1
Group: System Environment/Daemons
Source0: identd.c
Source1: fakeidentd 
Copyright: GPL
BuildRoot: /tmp/fakeidentd-buildroot
Packager: Andrea Borgia <borgia@students.cs.unibo.it>
Prereq: /sbin/chkconfig


%description
This fake identd server will return a bogus (user-defined) reply to all ident
queries, thus keeping many programs happy and your site's privacy intact.


%build
gcc -O2 $RPM_SOURCE_DIR/identd.c -o fakeidentd


%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 0755 -s fakeidentd $RPM_BUILD_ROOT/usr/sbin
install -m 0755 $RPM_SOURCE_DIR/fakeidentd $RPM_BUILD_ROOT/etc/rc.d/init.d
for I in 0 1 2 6; do
        mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
        ln -s ../init.d/fakeidentd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25fakeidentd
done
for I in 3 5; do
        mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
        ln -s ../init.d/fakeidentd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S80fakeidentd
done


%clean
rm -rf * $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add fakeidentd


%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del fakeidentd
fi


%files
%defattr(-, root, root)
%config /etc/rc.d/init.d/fakeidentd
%config(missingok) /etc/rc.d/rc3.d/S80fakeidentd
%config(missingok) /etc/rc.d/rc5.d/S80fakeidentd
%config(missingok) /etc/rc.d/rc0.d/K25fakeidentd
%config(missingok) /etc/rc.d/rc1.d/K25fakeidentd
%config(missingok) /etc/rc.d/rc2.d/K25fakeidentd
%config(missingok) /etc/rc.d/rc6.d/K25fakeidentd
/usr/sbin/fakeidentd


%%changelog
* Sun Jul 11 1999 Andrea Borgia <borgia@students.cs.unibo.it>
- initial build
